# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Originally auto-generated by gapic-generator-ruby.

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/pubsub/v1/version"

require "google/cloud/pubsub/v1/iam_policy/credentials"
require "google/cloud/pubsub/v1/iam_policy/client"

module Google
  module Cloud
    module PubSub
      module V1
        ##
        # This module contains the legacy IAM Policy client.
        #
        # @deprecated Call `iam_policy_client` on any of the other client
        #     objects to get a client for IAM policies instead of using this
        #     legacy class.
        #
        module IAMPolicy
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "iam_policy", "helpers.rb"
require "google/cloud/pubsub/v1/iam_policy/helpers" if ::File.file? helper_path
